/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */

using System;
using System.IO;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Reflection;
using RestSharp;
using Xunit;

using Coscine.ApiClient.Core.Client;
using Coscine.ApiClient.Core.Api;
// uncomment below to import models
//using Coscine.ApiClient.Core.Model;

namespace Coscine.ApiClient.Core.Test.Api
{
    /// <summary>
    ///  Class for testing ProjectResourceQuotaApi
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the API endpoint.
    /// </remarks>
    public class ProjectResourceQuotaApiTests : IDisposable
    {
        private ProjectResourceQuotaApi instance;

        public ProjectResourceQuotaApiTests()
        {
            instance = new ProjectResourceQuotaApi();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of ProjectResourceQuotaApi
        /// </summary>
        [Fact]
        public void InstanceTest()
        {
            // TODO uncomment below to test 'IsType' ProjectResourceQuotaApi
            //Assert.IsType<ProjectResourceQuotaApi>(instance);
        }

        /// <summary>
        /// Test ApiV2ProjectsProjectIdResourcesResourceIdQuotaOptions
        /// </summary>
        [Fact]
        public void ApiV2ProjectsProjectIdResourcesResourceIdQuotaOptionsTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string projectId = null;
            //string resourceId = null;
            //instance.ApiV2ProjectsProjectIdResourcesResourceIdQuotaOptions(projectId, resourceId);
        }

        /// <summary>
        /// Test GetQuotaForResourceForProject
        /// </summary>
        [Fact]
        public void GetQuotaForResourceForProjectTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string projectId = null;
            //Guid resourceId = null;
            //var response = instance.GetQuotaForResourceForProject(projectId, resourceId);
            //Assert.IsType<ResourceQuotaDtoResponse>(response);
        }
    }
}
